GET podcasts/{id}
Summary: Fetch detailed meta data and episodes for a podcast by id
Operation ID: getPodcastById
Auth: unknown
Operation ID: getPodcastById
Auth: unknown
Description
Fetch detailed meta data and episodes for a specific podcast (up to 10 episodes each time). You can use the **next_episode_pub_date** parameter to do pagination and fetch more episodes.
Parameters (4)
X-ListenAPI-Key
(string, header, required)
Get API Key on listennotes.com/api
id
(string, path, required)
Podcast id. You can get podcast id from using other endpoints, e.g., `GET /search`, `GET /best_podcasts`...
next_episode_pub_date
(integer, query, optional)
For episodes pagination. It's the value of **next_episode_pub_date** from the response of last request. If not specified, just return latest 10 episodes or oldest 10 episodes, depending on the value of the **sort** parameter.
sort
(string, query, optional, default: recent_first)
How do you want to sort the episodes of this podcast?
Constraints: {'enum': ['recent_first', 'oldest_first']}
No probe data for this endpoint yet.